commit 3e1b80abc029e186a41acaddbb79c0a0e9a2f4ee
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 2 11:35:15 2022 -0700

    twm 1.0.12
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 216d28095911507db38d8b15eaedd87fb3faa6d1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 11:09:26 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1ec1f06dafe5510426ba2d3396d65acfd49b347b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 28 12:10:01 2021 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 12ae76feef16024a0911b0e61e64266b449599e7
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jun 21 13:04:21 2020 -0400

    quiet a misleading warning in grammar
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 58a64fd73dd7a840fadebbc81126282cf3979b30
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jun 21 12:15:01 2020 -0400

    issue #8: twm displays all windows as "Untitled"
    
    adapt the suggestion to use XFetchName to work around a system whose locale
    support is broken, but rather than break existing configurations, use that
    call as a fallback when the existing/working calls fail.
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit a754e9f5c5735787a8e22839824a33546a9c43ef
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jun 21 11:37:21 2020 -0400

    mention newer behavior of -q/-v options
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit a4b14ca34b68f5a6a496aec53dafd4ee06222f83
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jun 21 11:31:27 2020 -0400

    X11R5 change lost the update for yylineno needed to make parse messages
    useful; a subsequent X11R6 change made the behavior a little worse.
    This change repairs that old damage.
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit ebaf16b08d739e798b36a0bc2ff139d068612d4d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jun 21 09:47:58 2020 -0400

    include twm.h in header files which rely upon its definitions
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 68703413c5d6d800f0f79d08ad51a86dc53713ce
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jun 21 09:25:49 2020 -0400

    indent lex/yacc files using xxx-indent (twm-indent uses GNU indent, which
    does not handle those files).
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 8a43400ccf2b23f60d1101ea4d348058e7ad3c36
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sun Jun 21 09:18:27 2020 -0400

    add/use new function parseWarning, which honors -v/-q options
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit fc19a82a10dc797605d6cb5d9028685644c6db3d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sat Jun 20 05:28:14 2020 -0400

    make the "-V" version print less cluttered (and more like most programs)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit d2690bc70d707b7a3a49839787d20eabc138e391
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Jun 19 20:27:03 2020 -0400

    use new warning-message functions in the remaining places where suitable,
    since -q option can be used to silence those if wanted
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 248be9688c23f249f1ecf1860f6f4cb09e56fab2
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Fri Jun 19 20:23:42 2020 -0400

    add/use functions to make warning messages more consistently use the program name as a prefix
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit a9d6701d977700b18e31a70cc7982431bc702095
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jun 18 18:34:59 2020 -0400

    fix the cppcheck style- and format-warnings
    also bump version to 1.0.11.1, reflecting ongoing work since release
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit d2b4f0598086d4dd5caf3cdc218d0f97c37229ac
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Thu Jun 18 04:22:11 2020 -0400

    remove clutter not needed with Xorg

commit 54461320a78cb69b2a5fa3c3d27dd69d9cdd31da
Merge: b356cd5 46e7ae0
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jun 17 16:54:32 2020 -0400

    Merge branch 'master' into dickey

commit 46e7ae05d6fdd700364cb48e27f57e249e958f95
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jun 17 16:50:52 2020 -0400

    allow most options to be long/abbreviatable for consistency,
    and document (except for the print-extension) all of the options
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 8f1b54ee608af86d448a9981257fa58727dfe6fc
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jun 17 15:56:04 2020 -0400

    add "-V" version-message
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 2741e9b381570f362732061dbca7835c8c185e9b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jun 17 15:27:52 2020 -0400

    eliminate some unnecessary(?) goto statements
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 49e2c2127743e702154bc4efc040be7bfaaf6433
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jun 17 15:07:37 2020 -0400

    adapted/updated patch from Debian #956434
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit b356cd5684a2e6a3a8987390ceb99c67c2a91b5e
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Wed Jun 17 15:07:37 2020 -0400

    adapted/updated patch from Debian #956434
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit b6311b0699992036e81a1ed58906114fc517ae7d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jun 16 20:42:13 2020 -0400

    updated patch to work with code, reflect a change made in 2016...
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 60bbd1b24a640e26a3f71f8eb35b5c031642a5e5
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jun 16 20:25:31 2020 -0400

    use Debian's package-files as starting point for test-packages
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 08f44086320c6bc5f2c7eb6457a0d53192832805
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jun 16 18:36:50 2020 -0400

    eliminate a fixed-size buffer in Execute() function.
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit ac802fe10221ef3c6426ac1ebf4a250f189d1228
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Jun 15 20:05:53 2020 -0400

    issue #1: twm random window placement handles large windows poorly
    
    report/patch by Preston Crow for improved window placement
    (reindented to fit with current sources)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit c2859ef3eb3b9ab2747d74c7a5d0235f8622d23e
Author: Matt Turner <mattst88@gmail.com>
Date:   Sun Jun 14 16:54:53 2020 -0700

    twm 1.0.11
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit f320e1bb447c01fc3e42ae3e350c69862b8795b8
Author: Matt Turner <mattst88@gmail.com>
Date:   Sun Jun 14 16:54:42 2020 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit c5df45a0721c75788cbdfe89992fdc97f1d47c34
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sat Nov 23 15:53:12 2019 -0500

    an error in the action for warp-to-ring would produce two error messages
    because the case lacked a break-statement
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 35f696e8c51b3fa6b8f6f2e8baa038ae8f77bc2d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sat Nov 23 15:50:54 2019 -0500

    strict gcc-warning fixes, no object-change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit fc3c537836adbe209ab98e08b345874f522027cc
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sat Nov 23 15:48:02 2019 -0500

    whitespace-fixes
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit eb98aefe4702310474ed11aefd3d50c4520ad0cd
Merge: 077a496 f973b77
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sat Nov 23 05:54:50 2019 -0500

    Merge remote-tracking branch 'upstream/master'

commit f973b774e8b1732afbe5a41543a2c7d556845c5d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sat Nov 23 05:48:34 2019 -0500

    Formatted most of the C files using "twm-indent", part of cindent at
            https://invisible-island.net/cindent/
    That is essentially a script which adds typedefs to the x-indent.sh script.
    No object-code changed in this reformatting.
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 077a496c38fc993d7691ce5aab1e9c2b4aee4b02
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Sat Nov 23 05:48:34 2019 -0500

    Formatted most of the C files using "twm-indent", part of cindent at
            https://invisible-island.net/cindent/
    That is essentially a script which adds typedefs to the x-indent.sh script.
    No object-code changed in this reformatting.
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit e2a533d16e047af1c5db19aa9340414b33061d2d
Author: Maya Rashish <maya@NetBSD.org>
Date:   Fri Sep 13 13:01:00 2019 +0300

    Correct system.twmrc location.

commit 2e0923ba703d040160bac1deb05d5d6d4cbd62aa
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 20:43:14 2019 -0400

    bump minor version for issue #2
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 98ff71aff13d9e35bb2436a15ea3fd38ea2fffa4
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 20:40:50 2019 -0400

    issue 2: twm doesn't handle RandR screen size changes
            patch submitted by Preston Crow
            modified to check if xrandr development header/library is available
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 9f3f818068ba54ab2b46142e73100ef10a0bda0b
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 18:25:53 2019 -0400

    bump minor version to reflect issues #4 and #7
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 5e1798773d837eabaa70d0fff5762397f540ee00
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 17:06:02 2019 -0400

    caddr_t used to be used in X code before XPointer was established; it's obsolete and less portable
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit b09c794f975d4b11685ac31884b8a6fd73b1ff15
Merge: 7545239 6b4b0fb
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 16:59:53 2019 -0400

    Merge branch 'master' into dickey

commit 6b4b0fb50a75d9336a123899138cc479d6d9765d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 16:55:25 2019 -0400

    issue 4: twm makes windows too wide
            https://gitlab.freedesktop.org/xorg/app/twm/issues/4
            patch submitted by Jes Bodi Klinke
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 9cf220752302be2ac965cfefdd0a0c29b3db19e2
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 05:04:37 2019 -0400

    fix const-warnings by making a copy of the data
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit a4659e5c49119bb3114ad18efffd945ec7bd5ba0
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 04:40:55 2019 -0400

    fix const-warnings in grammar using a non-const initializer
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 99bad1baa20fafb47aa07925b3960b003aa160df
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 04:34:18 2019 -0400

    constify deftwmrc[], to fix gcc-stricter warnings
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 43e36f1b95c40966c6e6e3ae4acd5c2974b1cc53
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 04:33:26 2019 -0400

    gcc-stricter warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 7545239de1666f9d1c2027ded3b3af053c1eb6f5
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 05:04:37 2019 -0400

    fix const-warnings by making a copy of the data
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 87281920e1d15d4dc5c50f79750ab9ff173c0e8d
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 04:40:55 2019 -0400

    fix const-warnings in grammar using a non-const initializer
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 58ec53e44bb2b00bc104324a0f32e19dcab2ad34
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 04:34:18 2019 -0400

    constify deftwmrc[], to fix gcc-stricter warnings
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 05814df9c0be77ff0168a22415e2282d093df5d5
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 04:33:26 2019 -0400

    gcc-stricter warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit cb7840991612fbbe259bf07c53f34577c5b5c2b9
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Tue Jul 16 03:58:51 2019 -0400

    ignore LOGS generated in test-builds

commit 0c045ca14adb853932e39ae5c2d07f9008ab4ee8
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Jul 15 20:42:52 2019 -0400

    cleanup manual page, using check-manpage (xterm)
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit c3ff775bfe4556ffbe920cbfbc860e471dfc7f07
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Jul 15 19:58:35 2019 -0400

    fix gcc-normal compiler warnings, no object change
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit f7a9ead69089a862fbd9aab6995980d3ecd290bf
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Jul 15 17:14:59 2019 -0400

    issue 7: check if there are no fonts found for the fontset, and fallback to fixed in that case.
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 55a26c49c8a976abb0ead8bd58da6260de61b739
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 31 12:43:04 2019 -0700

    Make some char pointers const as necessary to clear some gcc warnings
    
    twm.c:544:20: warning: assignment discards ‘const’ qualifier from
     pointer target type [-Wdiscarded-qualifiers]
      Scr->iconmgr.name = "TWM";
                        ^
    twm.c:545:25: warning: assignment discards ‘const’ qualifier from
     pointer target type [-Wdiscarded-qualifiers]
      Scr->iconmgr.icon_name = "Icons";
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ee3dcf350b5621d7965a8b8185a3dc534bcc46c7
Author: Bryan Kadzban <github@kadzban.net>
Date:   Sun Sep 11 15:20:13 2016 -0700

    Read system.twmrc from where it got installed
    
    ${rcdir} is ${datadir}/X11/twm by default, but can be overridden when
    running make.  If it is overridden, then the code should read from the
    same place as where "make rcdir=FOO install" puts the file.
    
    (Obviously overriding rcdir= for "make install" requires overriding it
    for "make" as well.  But at least this way it's possible to get it to
    work.  :-) )
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3045f271739da5068b1744f0dc4848d8a5ef7d06
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 16:58:08 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b78dccab895bb14f79b45d78ce70c4bcaf65738b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 20:52:05 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 777236e942ae85bcacfdc2e086944a42cfed5b45
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 30 14:35:15 2018 -0700

    If we can't find a colormap to replace, insert new one instead of leaking it
    
    Found by Oracle's Parfait 2.2 static analyzer:
    
    Error: Memory leak
       Memory leak [memory-leak] (CWE 401):
          Memory leak of pointer sc allocated with malloc(32)
            at line 421 of src/util.c in function 'InsertRGBColormap'.
              sc allocated at line 397 with malloc(32)
              sc leaks when replace != 0 at line 405.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4512f268c689db62b46c88e813935c66eda14742
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 30 14:28:35 2018 -0700

    When replacing a colormap, free old map, not new one
    
    Found by Oracle's Parfait 2.2 static analyzer:
    
    Error: Use after free
       Use after free [use-after-free] (CWE 416):
          Use after free of pointer Scr
            at line 421 of src/util.c in function 'InsertRGBColormap'.
            Invalid pointer accessible via global Scr at line 105 of src/twm.c
              maps escapes to sc->maps at line 419 of src/util.c in function 'InsertRGBColormap'
              maps freed with XFree at line 406
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ca032d147824861b2451c5b0ff715429f055cfe1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Mar 6 23:09:04 2018 -0800

    twm 1.0.10
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9703527df12caf896963a0f39db79e58f2ab2bfa
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit d58f4564f5621ec6c0e7ea6ee9d647845ac11352
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ca0c7a4eee66c96e6d449a58742d749c20aa494d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit c5abcb619eb0b01f074fd9acb9128f19af774834
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Wed Sep 23 20:53:24 2015 +0200

    Adapt callers to ExpandFilename change.
    
    It now always allocates memory, so remove some unnecessary checks.
    While here, improve handling of an error case.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cb5dc44303e8496450a649a97540e55887e1fe22
Author: Christos Zoulas <christos@NetBSD.org>
Date:   Wed Sep 23 10:57:44 2015 +0200

    Add some const.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c644db2c3a1b6c9e5e99da130493a978a7d08010
Author: Michael van Elst <mlelstv@NetBSD.org>
Date:   Sun Jul 19 12:04:52 2015 +0200

    Do not try to extend the font-pattern with a wild-card.
    
    This will almost always select the wrong fontset and use wrong metrics.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b52e4041054b580bace70d9db5e7e3d90b33ad6d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 16 22:36:31 2015 -0700

    twm 1.0.9
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8f68d82c5f6cff9b22dc3335f956453679b207ad
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 31 09:50:11 2014 -0800

    Remove custom version of system(3c) for Solaris
    
    Was originally added in 1993 with the comment:
     make f.exec do the right thing to get working xterms under Solaris2.
    
    Doesn't seem to be needed any more on modern Solaris.
    As a bonus, gets rid of error found by Oracle Parfait 1.5.1 that
    if the execl() call fails, the function falls through and returns
    an uninitialized value for status and then both parent & child
    go back to running the same code.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 032fc6a734516189e11b43e0b4680d15b62c5e66
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 31 00:49:34 2014 -0800

    Only use results from GetWindowProperty if it returned success
    
    Since Xlib prior to 1.6 didn't always clear values on failure, don't
    assume they're safe to use unless we succeeded.
    
    Reported by Oracle Parfait 1.5.1:
    Error: Uninitialised memory (CWE 456)
       Possible access to uninitialised memory '&nPixels'
            at line 963 of src/parse.c in function 'put_pixel_on_root'.
              &nPixels allocated at line 953.
       Possible access to uninitialised memory '&retProp'
            at line 962 of src/parse.c in function 'put_pixel_on_root'.
              &retProp allocated at line 954.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 76f6ad6e96b1ce62a32767bc0478a17b8b9204d7
Author: Laurent Carlier <lordheavym@gmail.com>
Date:   Mon Aug 4 16:39:24 2014 +0200

    Update manpage with the proper location of system.twmrc file
    
    Signed-off-by: Laurent Carlier <lordheavym@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0cb43e864b2e9972630556e98caa24abf8928122
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:06:21 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c33c83fb83be7f6402b615b4b32b5dc2036b951d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:06:21 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9c09c3e3577460fcef44e7abe51d22fcbda10ea8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Oct 25 21:51:37 2013 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Fix Automake warning: AC_OUTPUT should be used without arguments.
    www.gnu.org/software/autoconf/manual/autoconf.html#Configuration-Files
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 46c4255ba661145df429d9dc190355a9661da3c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 6 18:59:24 2013 -0700

    twm 1.0.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 97b55a970dc5281c2d41500990d99fcd24d2dd5f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 18 10:50:01 2013 -0700

    Replace malloc(strlen()+1); strcpy(); pairs with strdup()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8b2a314c267071656ca4d86bae56c6d82bb8127a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 18 10:42:45 2013 -0700

    AddWindow: Use NULL instead of 0 for null pointer check
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c2e232e6915356eba3edf2efea99720746694c52
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 18 10:28:21 2013 -0700

    Stop casting return values from malloc & calloc
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 58f3c3b8d518786764f45ac2be1f1f0850129125
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 18 10:18:21 2013 -0700

    Stop casting pointers to (char *) when freeing them
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2a637337713c5c92c44249b88e31696ce9efdf9b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 31 23:28:42 2013 -0700

    Delete trailing whitespace in non *.[ch] source files
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ce4e11143f982234be1076e384b31228f1cc84ae
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 31 22:54:01 2013 -0700

    Make more functions static that aren't called from other files
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8a3d3a58350506a99efd24f9856466a99bbb9c51
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 31 22:28:11 2013 -0700

    Assume C89 signal handlers, returning void
    
    Removes old #ifdef SIGNALRETURNSINT check that was never defined in
    autoconf builds, only old Imake builds.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit afcad0de54ecd1a8bfaf261e4e6882985a234963
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 31 22:24:22 2013 -0700

    Make some more previously global variables into file-scoped statics
    
    Not used from other source files, so no need to export them
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4c2ff3f0a6bae8b369dfb74267f7fa52d511dfb2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 31 22:21:00 2013 -0700

    Remove unused global variable gotFirstSave
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ca038999b5c1387f3aa19baeafc81a27563631b1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 31 22:04:39 2013 -0700

    unifdef macII - drop support for A/UX 2.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 55681f9d66b788b2e86a5ad3c0722904fa020962
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 30 22:15:28 2013 -0700

    Make various helper & callback functions private to session.c
    
    Nothing else ever called them, so no reason to export them.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by:  <wharms@bfs.de>

commit cf88a8c16958ddfaeff6349d30c6c423fc4a7afa
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 30 22:11:51 2013 -0700

    Convert remaining K&R function declarations to C89 style
    
    Many existing function declarations were C89, and headers all use C89
    prototypes, but a few function declarations had been left in the old
    style.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by:  <wharms@bfs.de>

commit ea349d3c406695665322c71caf5ea3c970cb3155
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 30 21:57:04 2013 -0700

    Use (void) to declare functions that take no arguments, instead of ()
    
    It's time for C89.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by:  <wharms@bfs.de>

commit abb8b6198b639359f34ab6f0ab97039016d8b6db
Author: Colin Harrison <colin.harrison@virgin.net>
Date:   Fri Jul 19 00:48:09 2013 +0100

    Syntax error in recent twm commit
    
    twm needs a typo/syntax correction following a recent commit.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e84f2e87222879ca667c1fb3d1cb3236a1159d12
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 18 00:24:30 2013 -0700

    Constification cleanup - fix dozens of gcc warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b16ce9773e4da5897ab546de85e48a3ea58d0e00
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Wed Jun 19 05:39:10 2013 -0400

    Don't rely on the ability to set tab stops.

commit 07ed63f865f6fef4c14711063534b73eb33e0cdb
Author: Egbert Eich <eich@freedesktop.org>
Date:   Thu May 19 11:08:21 2011 +0200

    Fix SEGV if CreateColormapWindow() returns NULL.
    
    twm can segfault when it cannot collect attribute information on
    a window that has been destroyed before it got a chance to collect
    it's attributes.
    twm seems to assume that it is always able to collect this information
    and disregards the error if the function that attempts to collect it
    fails and CreateColormapWindow() returns NULL.
    If this happens correct number_cmap_windows to prevent a SEGV later
    on due to an incorrect setting.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>

commit b62e91790d1f07f729d4221c878a0847ff14ad82
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 19 11:38:33 2011 -0800

    Terminate execl() arguments with NULL instead of 0
    
    Makes sure that a full 64-bits of 0 is passed in 64-bit builds, and
    clears gcc warning of:
    
    menus.c: In function ‘System’:
    menus.c:2344:2: warning: missing sentinel in function call
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4c5e72e9d8571bfb2a98d1ffc9724596764f5b0b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 27 20:33:13 2011 -0700

    twm 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f21823506dcb956d62c260e6e207f1dc2ce7732a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 14 22:04:34 2011 -0700

    Whitespace fixes in src files
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c6ade914363426facb01a954650b804657114012
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 12 22:30:41 2011 -0700

    Replace most sprintf calls with snprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ab689e1a711bbbdfcd6d3a8d2edebbc378ebccb7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 7 20:05:45 2011 -0500

    config: layout the C flags for better readability
    
    Group pre-processor flags under AM_CPPFLAGS
    Might as well do the rest of the file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f048770b021d92780c754257c9c1efa7a769c69c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 7 19:47:48 2011 -0500

    man: use Autoconf provided $(SED)
    
    Use platform appropriate version of sed.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 356ca1db47be674aa9125b65668e8fe0573f7f69
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 7 19:37:48 2011 -0500

    config: rm is about removal, not generation
    
    Automake:
    AM_V_at as a prefix to commands that should not output anything in silent mode
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6f362f8d962ff7054682cfb2d88e8603e1219492
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 7 16:43:59 2011 -0500

    deftwmrc.c is not required in MAINTAINERCLEANFILES
    
    Automake takes care of that as it is part of BUILT_SOURCES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 98e224e3da245f29d281df357d27b53acdccb5c7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 7 16:10:53 2011 -0500

    lex & yacc: only header file needs to be in BUILT_SOURCES
    
    http://www.gnu.org/software/automake/manual/automake.html#Yacc-and-Lex
    
    This completes reversal of commit ea03b6bcd1045dfc0d6947e4858de8994d61170b
    The Makefile generates a valid "gram.h: gram.c" rule.
    The Makefile already has gram.c gram.h and lex.c in the
    maintainer-clean-generic target.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 70a7f34dfc4d7ea4f7425b9a7359a08a35752bb0
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 11 22:41:56 2011 -0700

    Add extra sanity checking to avoid possible NULL dereferences
    
    menus.c:569:10: warning: Access to field 'func' results in a dereference of a null pointer (loaded from variable 'ActiveItem')
                if (ActiveItem->func != F_TITLE && !ActiveItem->state)
                    ^~~~~~~~~~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a898b136729660a33d60b317ccb839f6e0428201
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 11 22:30:56 2011 -0700

    Add sanity checking to avoid a possible NULL dereference
    
    menus.c:934:26: warning: Access to field 'fore' results in a dereference of a null pointer (loaded from variable 'cur')
                cur->hi_back = cur->fore = f3.pixel;
                               ~~~  ^
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1061e063be78f4e233d550649ce297b639193a9f
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 11 22:27:21 2011 -0700

    Address a possible NULL pointer dereference
    
    menus.c:523:24: warning: Access to field 'w' results in a dereference of a null pointer (loaded from variable 'ActiveMenu')
            if (XFindContext(dpy, ActiveMenu->w, ScreenContext, &context_data) == 0)
                                  ^~~~~~~~~~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bde0b06b465adb868d38d3721b95ea337bad8eb9
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 11 22:22:25 2011 -0700

    Mark Done() as _X_NORETURN
    
    list.c:103:11: warning: Access to field 'next' results in a dereference of a null pointer (loaded from variable 'nptr')
        nptr->next = *list_head;
        ~~~~  ^
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2f5d1e29f5a803ba2417d6fe20782c05ed932612
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 11 22:17:54 2011 -0700

    Silence uninitialized warning
    
    session.c: In function 'ReadWinConfigFile':
    session.c:554: warning: 'version' may be used uninitialized in this function
